# ReflectionParameter::getClass

(PHP 5, PHP 7)

ReflectionParameter::getClass — Get the type hinted class

### Description

public ReflectionParameter::getClass ( void ) : ReflectionClass

Gets the class type hinted for the parameter as a ReflectionClass object.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

A ReflectionClass object.

### Examples

Example #1 Using the ReflectionParameter class

`<?php
function foo(Exception $a) { }
$functionReflection = new ReflectionFunction('foo');
$parameters = $functionReflection->getParameters();
$aParameter = $parameters[0];
echo $aParameter->getClass()->name;
?>`

The above example will output:

    Exception

### See Also

- ReflectionParameter::getDeclaringClass() - Gets declaring class